/*
Theme Name: Betheme Child infrastructure reseaux
Theme URI: https://themes.muffingroup.com/betheme
Author: Muffin group
Author URI: https://muffingroup.com
Description: Child Theme for Betheme
Template: betheme
Version: 2
*/

/*-apr-plastiques-*/

/* bandeau cookie*/
/* bandeau cookie*/

.d2b {
    font-weight: inherit !important;
    color: inherit;
    font-family: inherit;
}

a:hover {
    text-decoration: none;
}

/*-couleur-txt-titre-*/

.txt-blanc,
.txt-blanc * {
    color: white !important;
}

.txt-noir,
.txt-noir * {
    color: black !important;
}

.txt-bleu-fonce,
.txt-bleu-fonce * {
    color: ... !important;
}

.txt-bleu,
.txt-bleu * {
    color: #0081c8 !important;
}

.txt-bleu-clair,
.txt-bleu-clair * {
    color: ... !important;
}

.txt-vert-fonce,
.txt-vert-fonce * {
    color: #012193 !important;
}

.txt-vert,
.txt-vert * {
    color: rgba(33, 163, 56, 1) !important;
}

.txt-vert-clair,
.txt-vert-clair * {
    color: ... !important;
}

.txt-rouge-fonce,
.txt-rouge-fonce * {
    color: ... !important;
}

.txt-magenta,
.txt-magenta * {
    color: rgba(173, 30, 88, 1) !important;
}

.txt-rose,
.txt-rose * {
    color: #eb5592 !important;
}

.txt-orange-fonce,
.txt-orange-fonce * {
    color: ... !important;
}

.txt-orange,
.txt-orange * {
    color: #E63B11 !important;
}

.txt-orange-clair,
.txt-orange-clair * {
    color: ... !important;
}

.txt-jaune-fonce,
.txt-jaune-fonce * {
    color: ... !important;
}

.txt-jaune,
.txt-jaune * {
    color: #d9b71c !important;
}

.txt-jaune-clair,
.txt-jaune-clair * {
    color: ... !important;
}

.txt-violet-fonce,
.txt-violet-fonce * {
    color: ... !important;
}

.txt-violet,
.txt-violet * {
    color: #6E3089 !important;
}

.txt-violet-clair,
.txt-violet-clair * {
    color: ... !important;
}

.txt-marron,
.txt-marron * {
    color: ... !important;
}

.txt-turquoise-fonce,
.txt-turquoise-fonce * {
    color: ... !important;
}

.txt-turquoise,
.txt-turquoise * {
    color: #009898 !important;
}

.txt-turquoise-clair,
.txt-turquoise-clair * {
    color: ... !important;
}

.txt-gris-fonce,
.txt-gris-fonce * {
    color: ... !important;
}

.txt-gris,
.txt-gris * {
    color: #808080 !important;
}

.txt-gris-clair,
.txt-gris-clair * {
    color: #9b9b9b !important;
}

/*-couleur-txt-titre-*/
/*-weight-txt-titre-*/

.tres-tres-fin,
.tres-tres-fin * {
    font-weight: 100 !important;
}

.tres-fin,
.tres-fin * {
    font-weight: 200 !important;
}

.fin,
.fin * {
    font-weight: 300 !important;
}

.fort,
.fort * {
    font-weight: 700 !important;
}

.tres-fort,
.tres-fort * {
    font-weight: 800 !important;
}

.tres-tres-fort,
.tres-tres-fort * {
    font-weight: 900 !important;
}

/*-weight-txt-titre-*/

/*-scroll-smooth-pour-liens-ancre-*/

html {
    scroll-behavior: smooth;
}

/*-scroll-smooth-pour-liens-ancre-*/

.overflow-visible {
    overflow: visible !important;
}

.overflow-hidden {
    overflow: hidden !important;
}

.upper {
    text-transform: uppercase;
}

.lorem,
.lorem *,
.txt-blanc.lorem,
.txt-blanc.lorem * {
    color: fuchsia !important;
}

.z-index-1 {
    z-index: 1;
}

div#Wrapper {
    overflow: hidden;
}

.kufam,
.kufam * {
    font-family: "Kufam", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
}

@media only screen and (min-width: 0px) {
    .fond-blanc {
        background-color: white;
        padding-left: 10px;
        color: black !important;
    }

    .formulaire-page-contact p {
        color: white;
    }

    .formulaire-page-contact p span.wpcf7-form-control-wrap {
        color: black;
    }

    span.mot-compose {
        display: block;
    }

    .has_content .the_content_wrapper {
        margin-bottom: 0;
    }

    .h2-chiffre p {
        display: flex;
        align-items: center;
    }

    span.nombre.nombre-titre {
        width: 60px !important;
        height: 60px !important;
        margin-right: 10px !important;
        color: white;
    }

    span.titre-cote {
        display: block;
        width: 60%;
        margin-left: 10px;
        text-align: left;
    }

    span.titre-cote.titre-h2-cote {
        width: 80%;
    }

    .range-point-etudes .bloc-etude > div > div > .wpb_wrapper > .h4 > .wpb_wrapper {
        width: 100%;
        display: flex;
        justify-content: center;
    }

    .range-point-etudes .bloc-etude > div > div > .wpb_wrapper > .h4 p {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 100%;
    }

    span.nombre {
        display: flex;
        width: 40px !important;
        height: 40px !important;
        background-color: #b70d0d;
        border-radius: 50%;
        justify-content: center;
        align-items: anchor-center;
    }

    .btn-rouge-voir-plus-scroll-vers-section {
        position: absolute;
        left: 50%;
        top: 100%;
        transform: translate(-50%, 20px);
        border-radius: 0 !important;
    }

    .btn-rouge-voir-plus-scroll-vers-section > .wpb_wrapper {
        background-color: #d90e15 !important;
        background-image: none !important;
        border: none !important;
        border-radius: 0;
        font-family: "Kufam", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
        transition: 0.5s;
        color: white !important;
        font-size: 14px;
        padding: 10px 20px;
    }

    span.dont-return {
        display: block;
    }

    #Top_bar:not(.is-sticky) {
        top: 80px !important;
    }

    div#Content {
        background-color: #e5e5e5;
        background-size: 70% auto;
        background-position: 50%;
        background-image: linear-gradient(rgba(229, 229, 229, 0.7), rgba(229, 229, 229, 0.7)), url(/wp-content/uploads/2026/02/logotype-w.png);
    }

    .d2b-etude-carousel-arrows {
        padding-bottom: 50px;
    }

    .range-demi-bande-bleu:before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 70%;
        background-color: #110b58;
    }

    .demi-range-savoir button.d2b-etude-carousel-btn,
    .demi-range-secteur button.d2b-etude-carousel-btn {
        filter: brightness(0);
    }

    .demi-range-secteur .bloc-etude {
        height: 450px;
    }

    .demi-range-secteur .bloc-etude > .wpb_column {
        height: 100%;
    }

    .demi-range-secteur .bloc-etude > .wpb_column > .vc_column-inner {
        height: 100%;
    }

    .demi-range-secteur .bloc-etude > .wpb_column > .vc_column-inner > .wpb_wrapper {
        height: 100%;
    }

    .demi-range-secteur .bloc-etude > .wpb_column > .vc_column-inner > .wpb_wrapper > .wpb_single_image {
        height: 100%;
    }

    .demi-range-secteur .bloc-etude > .wpb_column > .vc_column-inner > .wpb_wrapper > .wpb_single_image > figure {
        height: 100%;
    }

    .demi-range-secteur .bloc-etude > .wpb_column > .vc_column-inner > .wpb_wrapper > .wpb_single_image > figure > .vc_single_image-wrapper {
        height: 100%;
        overflow: hidden;
    }

    .demi-range-secteur .bloc-etude > .wpb_column > .vc_column-inner > .wpb_wrapper > .wpb_single_image > figure > .vc_single_image-wrapper > img {
        height: 100%;
        width: auto !important;
        max-width: initial;
        position: relative;
        left: 50% !important;
        transform: translate(-50%, 0);
    }

    .demi-range-secteur .bloc-etude > .wpb_column > .vc_column-inner > .wpb_wrapper > .wpb_text_column.h4.kufam {
        margin-bottom: 20px;
    }

    .etude-agro {
        background-color: #680000;
    }

    .etude-energie {
        background-color: #890000;
    }

    .etude-transport {
        background-color: #ac0000;
    }

    .etude-electro {
        background-color: #d12a19;
    }

    .etude-hydro {
        background-color: #f74f34;
    }

    .etude-infra {
        background-color: #ff8164;
    }

    .demi-range-secteur .bloc-etude > .wpb_column > .vc_column-inner > .wpb_wrapper > .wpb_single_image {
        opacity: 0.5;
        height: 384px;
        transition: 0.5s;
    }

    .demi-range-secteur .bloc-etude:hover > .wpb_column > .vc_column-inner > .wpb_wrapper > .wpb_single_image {
        opacity: 1;
        transition: 0.5s;
    }

    .demi-range-secteur .bloc-etude:hover {
        transition: 0.5s;
        background-color: white !important;
    }

    .demi-range-secteur .bloc-etude {
        transition: 0.5s;
    }

    .demi-range-secteur .bloc-etude:hover > .wpb_column > .vc_column-inner > .wpb_wrapper > .wpb_text_column.h4.kufam * {
        color: black !important;
        transition: 0.5s;
    }

    .demi-range-secteur .bloc-etude > .wpb_column > .vc_column-inner > .wpb_wrapper > .wpb_text_column.h4.kufam * {
        transition: 0.5s;
    }

    .demi-range-secteur .bloc-etude .btn-plus {
        top: 90%;
    }

    .demi-range-secteur .d2b-etude-carousel-viewport {
        height: 500px;
    }

    .demi-range-secteur {
        padding-bottom: 80px;
    }

    .carousel-img-verticale > .vc_column-inner {
        padding: 0 !important;
    }

    .carousel-img-verticale > .vc_column-inner * {
        margin-bottom: 0;
    }

    .onglet-haut-gauche *,
    .onglet-bas-droite * {
        margin-bottom: 0 !important;
        padding: 0 !important;
    }

    .onglet-haut-gauche,
    .onglet-bas-droite {
        position: initial !important;
    }

    .onglet-haut-gauche:before,
    .onglet-bas-droite:after {
        content: "";
        position: absolute;
        background-repeat: no-repeat;
    }

    .onglet-haut-gauche:before {
        left: -1px;
        top: -1px;
        width: 140px;
        height: 50px;
        background-image: url(/wp-content/uploads/2026/02/habillage-onglet-2.png);
        background-position: 0 0;
        background-size: 100% auto;
    }

    .onglet-bas-droite:after {
        right: -1px;
        bottom: -1px;
        width: 140px;
        height: 50px;
        background-image: url(/wp-content/uploads/2026/02/habillage-onglet-1.png);
        background-position: 100% 100%;
        background-size: 100% auto;
    }

    .img-carousel-display-none {
        display: none !important;
    }

    .bloc-etude {
        padding: 20px 0 0 0;
        margin-bottom: 120px !important;
    }

    .bloc-etude .wpb_text_column {
        padding: 0 20px;
    }

    .bloc-etude .wpb_single_image,
    .bloc-etude .wpb_single_image * {
        margin-bottom: 0;
    }

    .bloc-etude .btn-plus {
        position: absolute;
        left: 50%;
        top: 100%;
        transform: translate(-50%, 20px);
        border-radius: 0 !important;
    }

    .btn-plus > a.vc_general {
        background-color: #d90e15 !important;
        background-image: none !important;
        border: none !important;
        border-radius: 0;
        font-family: "Kufam", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
        transition: 0.5s;
        color: white !important;
    }

    .btn-plus > a.vc_general:hover {
        transition: 0.5s;
        background-color: white !important;
        color: black !important;
    }

    .img-border-radius-hg-bg img {
        border-radius: 50px 0 0 50px;
    }

    .img-border-radius-hd-bd img {
        border-radius: 0 50px 50px 0;
    }

    .etude-analyse,
    .etude-usinage {
        background-color: #2c1d60;
    }

    .etude-modelisation,
    .etude-usinjection {
        background-color: #453286;
    }

    .etude-simulation,
    .etude-chaudronnerie {
        background-color: #564399;
    }

    .etude-prototypage,
    .etude-montage {
        background-color: #6d59b1;
    }

    .etude-outillages,
    .etude-perso {
        background-color: #7d6abd;
    }

    .etude-Industrialisation,
    .etude-poly {
        background-color: #9988d0;
    }

    #Action_bar .contact_details li.btn-tel-include {
        padding-left: 40px !important;
        background-image: url(/wp-content/uploads/2030/02/phone-call-w.png);
        background-position: 5px 50%;
        background-repeat: no-repeat;
        background-size: 8%;
        transition: 0.5s;
    }

    #Action_bar .contact_details li.btn-tel-include > a {
        transition: 0.5s;
    }

    #Action_bar .contact_details li.btn-tel-include:hover {
        background-image: url(/wp-content/uploads/2026/02/phone-call-red.png);
        transition: 0.5s;
    }

    #Action_bar .contact_details li.btn-tel-include:hover > a {
        color: #d90e15 !important;
        transition: 0.5s;
    }

    #Action_bar .contact_details li.btn-mail-include {
        padding-left: 40px !important;
        background-image: url(/wp-content/uploads/2026/02/mailbox-red-w.png);
        background-position: 5px 50%;
        background-repeat: no-repeat;
        background-size: 12%;
        transition: 0.5s;
    }

    a.link-footer {
        color: transparent !important;
        width: 50px;
        height: 50px;
        display: block;
        margin: auto;
        background-image: url(/wp-content/uploads/2026/02/linkedin-w.png);
        background-position: 50%;
        background-repeat: no-repeat;
        background-size: 70%;
    }

    .button-animation-slide-right .button:before,
    .button-animation-slide-right .button:hover:before {
        opacity: 0 !important;
    }

    a#back_to_top {
        background: transparent !important;
    }

    footer#Footer * {
        font-family: "Kufam", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif !important;
    }

    div#Action_bar > .container > .column.one > ul.contact_details * {
        font-family: "Kufam", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
    }

    .column.mobile-one.tablet-one-third.one-third * {
        text-align: center;
    }

    .column.mobile-one.tablet-one-third.one-third h4 {
        font-weight: 600 !important;
        font-size: 25px !important;
        text-transform: uppercase;
    }

    li.btn-tel-include *,
    li.btn-mail-include * {
        color: white !important;
        font-family: "Oswald", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
        font-weight: 100;
        text-transform: uppercase;
    }

    .h1,
    .h1 * {
        font-size: 30px !important;
        line-height: 40px !important;
        font-family: "Oswald", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif !important;
    }

    .h2,
    .h2 * {
        font-size: 28px !important;
        line-height: 35px !important;
        font-family: "Oswald", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif !important;
    }

    .h3,
    .h3 * {
        font-size: 25px !important;
        line-height: 30px !important;
        font-family: "Oswald", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
    }

    .h4,
    .h4 * {
        font-size: 20px !important;
        line-height: 25px !important;
        font-family: "Oswald", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
    }

    .h5,
    .h5 * {
        font-size: 20px !important;
        line-height: 25px !important;
        font-family: "Oswald", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
    }

    .h6,
    .h6 * {
        font-size: 15px !important;
        line-height: 20px !important;
        font-family: "Oswald", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
    }

    .titre-baseline,
    .titre-baseline * {
        font-size: 20px !important;
        line-height: 20px !important;
        font-family: "Oswald", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
    }

    /*----------------btn-flottant---------------------*/

    #btn-fixed {
        position: fixed;
        top: 70%;
        right: 0;
        width: 50px;
        transform: translate(0, -50%);
        display: flex !important;
        z-index: 10000;
        flex-direction: column;
        align-items: end;
        background-color: #ffffff;
        border-radius: 30px 0 0 30px;
    }

    .btn-fixed-tel,
    .btn-fixed-mail,
    .btn-fixed-link {
        height: 50px;
        width: 50px;
        display: flex;
        margin: 0;
        opacity: 1;
        transition: 0.5s;
        right: 0;
        position: relative;
        margin-bottom: 5px;
        border-radius: 50px 0 0 50px;
    }

    .btn-fixed-tel {
        background-color: #ffffff;
    }

    .btn-fixed-mail {
        background-color: #ffffff;
    }

    .btn-fixed-link {
        background-color: #ffffff;
    }

    .btn-fixed-tel:hover,
    .btn-fixed-mail:hover,
    .btn-fixed-link:hover {
        transform: scale(1.1);
        transition: 0.5s;
    }

    /*-mettre la couleur voulu au background-color-*/

    .btn-fixed-tel {
        background-image: url(...) !important;
    }

    .btn-fixed-mail {
        background-image: url(...) !important;
    }

    .btn-fixed-link {
        background-image: url(...) !important;
    }

    .btn-fixed-tel {
        background-position: 50% 50%;
        background-repeat: no-repeat;
        background-size: 100%;
    }

    .btn-fixed-mail {
        background-position: 50% 50%;
        background-repeat: no-repeat;
        background-size: 100%;
    }

    .btn-fixed-link {
        background-position: 50% 50%;
        background-repeat: no-repeat;
        background-size: 100%;
    }

    /*-FIN-mettre la couleur voulu au background-color-*/

    .btn-fixed-tel *,
    .btn-fixed-mail *,
    .btn-fixed-link * {
        width: 100%;
        height: 100%;
        display: flex;
    }

    .btn-fixed-tel a,
    .btn-fixed-mail a,
    .btn-fixed-link a {
        display: flex;
        align-items: end;
        justify-content: center;
    }

    .btn-fixed-tel a {
        background-image: url(/wp-content/uploads/2026/02/phone-call-red.png) !important;
        background-position: 50% 40%;
        background-repeat: no-repeat;
        background-size: 40%;
    }

    .btn-fixed-mail a {
        background-image: url(/wp-content/uploads/2026/02/mailbox-red.png) !important;
        background-position: 50% 40%;
        background-repeat: no-repeat;
        background-size: 40%;
    }

    .btn-fixed-link a {
        background-image: url(/wp-content/uploads/2026/02/linkedin-red.png) !important;
        background-position: 50% 40%;
        background-repeat: no-repeat;
        background-size: 40%;
    }

    .btn-fixed-tel * {
        color: #000000 !important;
        text-align: center;
        font-size: 8px !important;
        line-height: 8px !important;
    }

    .btn-fixed-mail * {
        color: #000000 !important;
        text-align: center;
        font-size: 8px !important;
        line-height: 8px !important;
    }

    /*----------------btn-flottant---------------------*/
}

@media only screen and (min-width: 0px) and (max-width: 767px) {

    .inverse {
        display: flex;
        flex-direction: column-reverse;
    }
}

@media only screen and (min-width: 0px) and (max-width: 1022px) {}

@media only screen and (min-width: 0px) and (max-width: 1239px) {
    .range-point-etudes .demi-range-etude > div > .wpb_wrapper > .bloc-etude {
        height: 120px;
        padding: 0;
    }

    .range-point-etudes .demi-range-etude > div > .wpb_wrapper > .bloc-etude > div > div > .wpb_wrapper > .h4 {
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        margin: 0;
        padding-bottom: 20px;
        padding-top: 20px;
    }

    .vc_row-no-padding {
        padding: 0 30px;
    }

    #Top_bar #logo,
    .header-transparent #Top_bar #logo {
        height: 100px;
    }

    li.btn-recrutement-include,
    li.btn-actu-include,
    li.btn-infra-include {
        display: none !important;
    }

    /*----------------btn-flottant---------------------*/
    .btn-fixed-tel,
    .btn-fixed-express {
        position: relative;
    }

    .btn-fixed-tel:hover,
    .btn-fixed-express:hover {
        transform: scale(1.1);
        transition: 0.5s;
    }

    span.text-pc {
        display: none;
    }

    span.text-mobile {
        display: block;
        position: absolute !important;
        bottom: 5px;
        left: 50%;
        width: initial !important;
        height: initial !important;
        transform: translate(-50%, 0);
    }

    /*----------------btn-flottant---------------------*/
}

@media only screen and (min-width: 768px) {
    .formulaire-page-contact {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
    }

    .formulaire-page-contact > p.cinq {
        width: 49%;
    }

    .formulaire-page-contact > p.cent {
        width: 100%;
    }

    .onglet-haut-gauche::before {
        width: 180px;
        height: 60px;
    }

    .onglet-bas-droite::after {
        width: 180px;
        height: 60px;
    }

    .habillage-logotype {
        position: initial;
    }

    .habillage-logotype:after {
        content: "";
        position: absolute;
        width: 400px;
        height: 400px;
        right: -160px;
        background-repeat: no-repeat;
        background-image: url(/wp-content/uploads/2026/02/logotype-1.png);
        background-position: 50%;
        background-size: contain;
    }

    .bloc-etude > .wpb_column {
        height: 100%;
    }

    .bloc-etude > .wpb_column > .vc_column-inner {
        height: 100%;
    }

    .bloc-etude > .wpb_column > .vc_column-inner > .wpb_wrapper {
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    div#Action_bar {
        position: absolute !important;
        right: 0;
        width: 650px;
        left: inherit;
        height: 80px;
    }

    div#Action_bar > .container {
        padding: 0;
    }

    div#Action_bar > .container > .column.one {
        padding: 0;
        height: 100%;
    }

    div#Action_bar > .container > .column.one > ul.contact_details {
        display: flex;
        align-items: center;
        height: 100%;
    }

    div#Action_bar > .container > .column.one > ul.contact_details * {
        font-size: 20px;
    }

    #Action_bar .contact_details li {
        padding: 0 !important;
        height: 40px;
        display: flex;
        align-items: center;
    }

    li.btn-link-include {
        width: 40px;
        text-align: end;
        height: 40px;
        display: flex !important;
        align-items: center;
        background-image: url(/wp-content/uploads/2026/02/linkedin-w.png);
        background-position: 0% 40%;
        background-repeat: no-repeat;
        background-size: 50%;
        transition: 0.5s;
    }

    li.btn-link-include:hover {
        background-image: url(/wp-content/uploads/2026/02/linkedin-red.png);
        transition: 0.5s;
    }

    li.btn-link-include > a {
        width: 100%;
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: end;
    }

    #Action_bar .contact_details li.btn-tel-include {
        padding-left: 40px !important;
        background-image: url(/wp-content/uploads/2026/02/phone-call-w.png);
        background-position: 5px 50%;
        background-repeat: no-repeat;
        background-size: 8%;
        transition: 0.5s;
    }

    #Action_bar .contact_details li.btn-tel-include > a {
        transition: 0.5s;
    }

    #Action_bar .contact_details li.btn-tel-include:hover {
        background-image: url(/wp-content/uploads/2026/02/phone-call-red.png);
        transition: 0.5s;
    }

    #Action_bar .contact_details li.btn-tel-include:hover > a {
        color: #d90e15 !important;
        transition: 0.5s;
    }

    #Action_bar .contact_details li.btn-mail-include {
        padding-left: 40px !important;
        background-image: url(/wp-content/uploads/2026/02/mailbox-red-w.png);
        background-position: 5px 50%;
        background-repeat: no-repeat;
        background-size: 12%;
        transition: 0.5s;
    }

    #Action_bar .contact_details li.btn-mail-include > a {
        transition: 0.5s;
    }

    #Action_bar .contact_details li.btn-mail-include:hover {
        background-image: url(/wp-content/uploads/2026/02/mailbox-red.png);
        transition: 0.5s;
    }

    #Action_bar .contact_details li.btn-mail-include:hover > a {
        color: #d90e15 !important;
        transition: 0.5s;
    }

    .h4,
    .h4 * {
        font-size: 20px !important;
        line-height: 25px !important;
    }
}

@media only screen and (min-width: 768px) and (max-width: 1022px) {
    .inverse-tablet {
        display: flex;
        flex-direction: column-reverse;
    }
}

@media only screen and (min-width: 768px) and (max-width: 1239px) {
    .demi-range-etude > div > .wpb_wrapper {
        display: flex !important;
        flex-wrap: wrap !important;
        justify-content: flex-start;
        gap: 30px;
        row-gap: 0px;
    }

    .demi-range-etude > div > .wpb_wrapper > * {
        width: calc(50% - 15px);
    }

    .demi-range-etude > div > .wpb_wrapper > div:not(.bloc-etude) {
        width: 100% !important;
    }

    .bloc-etude {
        width: 49%;
    }

    .inverse-tablet {
        display: flex;
        flex-direction: column-reverse;
    }

    .demi-encart.demi-encart-g,
    .demi-encart.demi-encart-d {
        padding: 0 30px 0 20px;
    }
}

@media only screen and (min-width: 1023px) {

    .onglet-haut-gauche::before {
        width: 280px;
        height: 85px;
    }

    .onglet-bas-droite::after {
        width: 280px;
        height: 85px;
    }

    .habillage-logotype:after {
        width: 600px;
        height: 600px;
        right: -270px;
    }
}

@media only screen and (min-width: 1023px) and (max-width: 1239px) {

    .demi-range-etude > div > .wpb_wrapper > * {
        width: calc(33.333% - 20px);
    }
}

@media only screen and (min-width: 1240px) {
    #Top_bar:not(.is-sticky) .logo {
        margin: 0;
        width: 280px;
    }

    .carousel-img-verticale {
        height: 700px;
    }

    .carousel-img-verticale > .vc_column-inner {
        height: 100%;
    }

    .carousel-img-verticale > .vc_column-inner > .wpb_wrapper {
        position: relative;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

    .range-point-etudes .bloc-etude {
        height: 90px;
        padding: 0;
    }

    .range-point-etudes .bloc-etude > div > div > .wpb_wrapper > .h4 {
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        margin: 0;
        padding-bottom: 20px;
        padding-top: 20px;
    }

    .range-point-etudes .habillage-logotype:after {
        right: inherit;
        left: -20%;
        width: 900px;
        height: 710px;
    }

    .decalage-gauche {
        padding-left: calc(100% - 720px);
        padding-right: 20px;
    }

    .decalage-droite {
        padding-right: calc(100% - 720px);
        padding-left: 20px;
    }

    .demi-range-gauche-full-width {
        padding-left: calc(100% - 720px);
        padding-right: 20px;
    }

    .demi-range-droite-full-width {
        padding-right: calc(100% - 720px);
        padding-left: 20px;
    }

    .carousel-img-verticale {
        padding-left: 50px;
    }

    .carousel-img-verticale > .vc_column-inner {
        overflow: hidden;
        border-radius: 50px 0 0 50px;
    }

    .carousel-img-verticale > .vc_column-inner > .wpb_wrapper {
        width: 100% !important;
    }

    .carousel-img-verticale > .vc_column-inner > .wpb_wrapper > .wpb_single_image {
        width: 100% !important;
    }

    .carousel-img-verticale > .vc_column-inner > .wpb_wrapper > .wpb_single_image > figure {
        width: 100% !important;
    }

    .carousel-img-verticale > .vc_column-inner > .wpb_wrapper > .wpb_single_image > figure > .vc_single_image-wrapper {
        width: 100% !important;
    }

    .carousel-img-verticale > .vc_column-inner > .wpb_wrapper > .wpb_single_image > figure > .vc_single_image-wrapper > img {
        width: 100%;
    }

    /* ===== Carousel Etude ===== */

    .d2b-etude-carousel-viewport {
        width: 100%;
        overflow: hidden;
        /* masque au-delà de la largeur */
        position: relative;
        margin-top: 18px;
    }

    .d2b-etude-carousel-track {
        display: flex;
        flex-wrap: nowrap;
        gap: 18px;
        will-change: transform;
        transform: translate3d(0, 0, 0);
    }

    .d2b-etude-carousel-track > .bloc-etude {
        flex: 0 0 auto;
        width: 360px;
        /* ajuste si besoin */
        max-width: 360px;
    }

    /* Flèches */
    .d2b-etude-carousel-arrows {
        display: flex;
        justify-content: center;
        gap: 12px;
        margin-top: 14px;
    }

    .d2b-etude-carousel-btn {
        appearance: none;
        border: 0;
        cursor: pointer;
        padding: 15px;
        border-radius: 0;
        background: rgba(255, 255, 255, 0.15);
        font-size: 18px;
        line-height: 1;
        color: transparent !important;
        background-color: transparent;
        background-position: 50%;
        background-repeat: no-repeat;
        background-size: 30%;
    }

    .d2b-etude-carousel-btn:hover {
        background-color: rgba(255, 255, 255, 0.15) !important;
    }

    .d2b-etude-carousel-btn:active {
        transform: translateY(1px);
    }

    button.d2b-etude-carousel-btn.d2b-prev {
        background-image: url(/wp-content/uploads/2026/02/prev.png);
    }

    button.d2b-etude-carousel-btn.d2b-next {
        background-image: url(/wp-content/uploads/2026/02/prev.png);
        transform: rotate(180deg);
    }

    /* ===== Carousel Etude ===== */

    .demi-range-etude > div > .wpb_wrapper {
        display: flex;
        flex-wrap: wrap;
    }

    .demi-range-etude > div > .wpb_wrapper > div:not(.bloc-etude) {
        width: 100% !important;
    }

    .habillage-logotype:after {
        right: inherit;
        left: -20%;
        width: 900px;
        height: 900px;
    }

    #Top_bar:not(.is-sticky) #logo,
    .header-transparent #Top_bar:not(.is-sticky) #logo {
        padding: 0;
        width: 100%;
        height: auto;
        position: relative;
        top: -20px;
    }

    #Top_bar:not(.is-sticky) #logo > img,
    .header-transparent #Top_bar:not(.is-sticky) #logo > img {
        width: 100%;
    }

    #Top_bar .menu > li > a span:not(.description) {
        text-transform: uppercase;
        font-size: 20px;
    }

    li.btn-recrutement-include *,
    li.btn-actu-include *,
    li.btn-infra-include * {
        font-size: 15px !important;
        font-weight: 300 !important;
    }

    div#Action_bar {
        width: 650px;
    }

    div#Action_bar > .container > .column.one > ul.contact_details {
        flex-wrap: wrap;
        justify-content: end;
        padding-right: 20px;
    }

    .demi-encart.demi-encart-g {
        padding-left: calc(100% - 600px);
        padding-right: 20px;
    }

    .demi-encart.demi-encart-d {
        padding-right: calc(100% - 600px);
        padding-left: 20px;
    }

    .h1,
    .h1 * {
        font-size: 55px !important;
        line-height: 60px !important;
    }


    .h2,
    .h2 * {
        font-size: 40px !important;
        line-height: 45px !important;
    }

    .btn-menu-tel {
        display: none !important;
    }

    /*----------------btn-flottant---------------------*/
    .btn-fixed-tel {
        width: 200px;
        transform: translate(150px, 0);
        background-position: 0% 50% !important;
        background-repeat: no-repeat;
        background-size: auto 100%;
        transition: 0.5s;
    }

    .btn-fixed-mail {
        width: 200px;
        transform: translate(150px, 0);
        background-position: 0% 50% !important;
        background-repeat: no-repeat;
        background-size: auto 100%;
        transition: 0.5s;
    }

    .btn-fixed-tel:hover {
        transform: translate(0, 0);
        transition: 0.5s;
    }

    .btn-fixed-tel a {
        background-position: 10% 50%;
        background-repeat: no-repeat;
        background-size: auto 50%;
    }

    .btn-fixed-mail:hover {
        transform: translate(0, 0);
        transition: 0.5s;
    }

    .btn-fixed-mail a {
        background-position: 9% 50%;
        background-repeat: no-repeat;
        background-size: auto 35%;
    }

    span.text-mobile {
        position: absolute;
        bottom: 0 !important;
        height: initial !important;
        left: 13px;
        transition: 0.5s;
        color: transparent !important;
    }

    .btn-fixed-tel:hover span.text-mobile,
    .btn-fixed-mail:hover span.text-mobile {
        opacity: 0;
        transition: 0.5s;
    }

    span.text-pc {
        position: absolute;
        width: initial !important;
        height: initial !important;
        top: 50%;
        right: 13px;
        transform: translate(0, -50%);
        font-size: 14px !important;
        font-weight: 700;
        color: transparent !important;
        transition: 0.5s;
    }

    .btn-fixed-tel:hover span.text-pc {
        transition: 0.5s;
        color: black !important;
    }

    .btn-fixed-mail:hover span.text-pc {
        transition: 0.5s;
        color: black !important;
    }

    /*----------------btn-flottant---------------------*/
}

@media only screen and (min-width: 1500px) {}

@media only screen and (min-width: 1600px) {
    .decalage-gauche {
        padding-left: calc(100% - 800px);
        padding-right: 20px;
    }

    .habillage-logotype:after {
        left: -10%;
    }
}

@media only screen and (min-width: 1800px) {
    .habillage-logotype:after {
        left: 0%;
    }
}

@media only screen and (min-width: 1900px) {
    .carousel-img-verticale {
        height: 555px;
    }
}

@media only screen and (min-width: 2500px) {

    .range-point-etudes .habillage-logotype:after {
        right: inherit;
        left: -5%;
        width: 900px;
        height: 630px;
    }

    .decalage-gauche {
        padding-left: calc(100% - 1000px);
        padding-right: 20px;
    }
}

/*-apr-plastiques-*/
